Page MenuHomeVyOS Platform

get_config_dict should be independent of CLI edit level
Closed, ResolvedPublicBUG

Description

The recommended behaviour is that get_config_dict should:
(1) respect Config set_level
(2) be agnostic regarding CLI 'edit level'

Constraint (1) is currently satisfied if CLI editing is at the top level. Constraint (2) will require saving and resetting the environment to the top level in show_config; note that using '---show-ignore-edit' is not a solution, as it would disallow the 'path' argument to show_config/get_config_dict. With that modification to show_config, both (1) and (2) are satisfied irrespective of CLI edit level.

Details

Difficulty level
Unknown (require assessment)
Version
vyos 1.3
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Behavior change

Event Timeline

jestabro changed the task status from Open to In progress.Mar 29 2020, 7:52 PM
jestabro triaged this task as Normal priority.
jestabro created this task.
jestabro created this object in space S1 VyOS Public.
jestabro updated the task description. (Show Details)Mar 29 2020, 8:13 PM
jestabro changed the task status from In progress to Needs testing.Mar 29 2020, 9:39 PM
jestabro changed the subtype of this task from "Task" to "Bug".Mar 30 2020, 1:23 AM
pasik added a subscriber: pasik.Mar 30 2020, 7:03 AM

I think I agree: at commit time, user's CLI edit level is irrelevant and should have no effect on the script behaviour.

jestabro closed this task as Resolved.Mar 31 2020, 12:06 AM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Apr 5 2020, 12:35 PM